#!/usr/bin/env node

/**
 * Test for create.js
 * Runs with nodeunit.
 */

"use strict";

var create = require('./create'),
    mkdirp = require('mkdirp'),
    path = require('path'),
    fs = require('fs');

var tmpDir = path.resolve(__dirname, 'tmp');
var context = {
    logger: {
        info: function () {
        },
        debug: function () {
        },
        trace: function () {
        }
    }
};
exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    done();
};

exports['Create and run'] = function (test) {
    var filename = path.resolve(tmpDir, 'foo-' + new Date().getTime());
    fs.writeFileSync(filename, 'foo:bar');
    create('666 ' + filename)(context, function (err) {
        test.ifError(err);
        var state = fs.statSync(filename);
        fs.unlinkSync(filename);
        test.done();
    });
};

